<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output omit-xml-declaration="yes" />
  <xsl:template match="/Screamer">
    <bookmarks>
	  <group name="root">
      <xsl:for-each select="Group">
        <xsl:call-template name="group"></xsl:call-template>
      </xsl:for-each>
      </group>
    </bookmarks>
  </xsl:template>
  <xsl:template name="group" match="Group">
    <group>
      <xsl:attribute name="name"><xsl:value-of select="@title"></xsl:value-of></xsl:attribute>
      <xsl:for-each select="Group">
        <xsl:call-template name="group"></xsl:call-template>
      </xsl:for-each>
      <xsl:for-each select="Station">
        <xsl:call-template name="station"></xsl:call-template>
      </xsl:for-each>
    </group>
  </xsl:template>
  <xsl:template name="station" match="Station">
    <bookmark>
      <xsl:attribute name="name"><xsl:value-of select="@title"></xsl:value-of></xsl:attribute>
      <xsl:attribute name="url"><xsl:value-of select="Source"></xsl:value-of></xsl:attribute>
    </bookmark>
  </xsl:template>
</xsl:stylesheet>
